Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class AxisBindingMessage

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisBindingMessage

All Implemented Interfaces:
  DescriptionConstants, ParameterInclude

    public class AxisBindingMessage

extends AxisDescription

Field Summary

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parameterObservers, parent`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`AxisBindingMessage()`

Method Summary
`org.apache.neethi.Policy` | `calculateEffectivePolicy()`
`void` | `engageModule(AxisModule axisModule)` Engage a Module at this level
`AxisBindingOperation` | `getAxisBindingOperation()`
`AxisMessage` | `getAxisMessage()`
`java.lang.String` | `getDirection()`
`org.apache.neethi.Policy` | `getEffectivePolicy()`
`java.lang.Object` | `getKey()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`boolean` | `isEngaged(java.lang.String moduleName)` Check if a given module is engaged at this level.
`boolean` | `isFault()`
`void` | `setAxisMessage(AxisMessage axisMessage)`
`void` | `setDirection(java.lang.String direction)`
`void` | `setFault(boolean fault)`
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`org.apache.axiom.om.OMElement` | `toWSDL20(org.apache.axiom.om.OMNamespace wsdl, org.apache.axiom.om.OMNamespace tns, org.apache.axiom.om.OMNamespace wsoap, org.apache.axiom.om.OMNamespace whttp, java.util.Map<java.lang.String,java.lang.String> nameSpaceMap)` Generates the bindingMessage element (can be input, output, infault or outfault)

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, addParameterObserver, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getDocumentationNode, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, getPolicySubject, isEngaged, isParameterLocked, isParameterTrue, onDisengage, onEngage, removeChild, removeParameter, removeParameterObserver, setDocumentation, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisBindingMessage

    public AxisBindingMessage()

Method Detail

### isFault

    public boolean isFault()

### setFault

    public void setFault(boolean fault)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getAxisMessage

    public AxisMessage getAxisMessage()

### setAxisMessage

    public void setAxisMessage(AxisMessage axisMessage)

### getDirection

    public java.lang.String getDirection()

### setDirection

    public void setDirection(java.lang.String direction)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Parameters:
    `name` - name of the property to search for
  Returns:
    the value of the property, or null if the property is not found

### getKey

    public java.lang.Object getKey()

  Specified by:
    `getKey` in class `AxisDescription`

### engageModule

    public void engageModule(AxisModule axisModule)
                      throws AxisFault

  Description copied from class: `AxisDescription`
  Engage a Module at this level

  Overrides:
    `engageModule` in class `AxisDescription`
  Parameters:
    `axisModule` - the Module to engage
  Throws:
    `AxisFault` - if there's a problem engaging

### isEngaged

    public boolean isEngaged(java.lang.String moduleName)

  Description copied from class: `AxisDescription`
  Check if a given module is engaged at this level.

  Overrides:
    `isEngaged` in class `AxisDescription`
  Parameters:
    `moduleName` - module to investigate.
  Returns:
    true if engaged, false if not. TODO: Handle versions? isEngaged("addressing") should be true even for versioned modulename...

### toWSDL20

    public org.apache.axiom.om.OMElement toWSDL20(org.apache.axiom.om.OMNamespace wsdl,
                                                  org.apache.axiom.om.OMNamespace tns,
                                                  org.apache.axiom.om.OMNamespace wsoap,
                                                  org.apache.axiom.om.OMNamespace whttp,
                                                  java.util.Map<java.lang.String,java.lang.String> nameSpaceMap)

  Generates the bindingMessage element (can be input, output, infault or outfault)

  Parameters:
    `tns` - - The targetnamespace
    `wsoap` - - The SOAP namespace (WSDL 2.0)
    `whttp` - - The HTTP namespace (WSDL 2.0)
    `nameSpaceMap` - - The namespacemap of the service
  Returns:
    The generated bindingMessage element

### getAxisBindingOperation

    public AxisBindingOperation getAxisBindingOperation()

### getEffectivePolicy

    public org.apache.neethi.Policy getEffectivePolicy()

### calculateEffectivePolicy

    public org.apache.neethi.Policy calculateEffectivePolicy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.